Bug 485039 - API documentation for channel.software.removePackages
API documentation for channel.software.removePackages
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Brad Buckingham
Jan Hutař
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2009-02-11 05:11 EST by Jan Hutař
Modified: 2009-09-10 15:54 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:54:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-02-11 05:11:14 EST
Description of problem:
API documentation for channel.software.removePackages says it accepts array of IDs: "id of a package to add to the channel." - should be "remove" IMO :-)


Version-Release number of selected component (if applicable):
Satellite-5.3.0-RHEL5-re20090206.1
Comment 1 Brad Buckingham 2009-02-12 12:38:37 EST
git commit: c325982d81f22e5bbea1cbb3b9b3d7a5d1171c32
Comment 2 Jan Hutař 2009-03-30 04:59:51 EDT
VERIFYED on Satellite-5.3.0-RHEL5-re20090320.0-x86_64:

https://pipa02.englab.brq.redhat.com/rhn/apidoc/handlers/ChannelSoftwareHandler.jsp#removePackages

Now it states:

int - packageId - id of a package to remove from the channel.
Comment 3 John Sefler 2009-08-26 10:17:17 EDT
Verified on staged (Satellite-5.3.0-RHEL5-re20090724.0) with updates from Aug 20, 2009

click About|Help > API > channel.software > removePackages

https://sun-x4200-01.rhts.bos.redhat.com/rhn/apidoc/handlers/ChannelSoftwareHandler.jsp#removePackages

 Method: removePackages
Description:
Removes a given list of packages from the given channel.

Parameters:

    * string sessionKey
    * string channelLabel - target channel.
    * array:
          o int - packageId - id of a package to remove from the channel.

Returns:

    * int - 1 on success, exception thrown otherwise. 

moving to RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 15:54:31 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.